## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/algorithms.h File Reference

General Algorithms. More...

Go to the source code of this file.

## Namespaces

namespace | CrystalSpace

## Classes

struct | CrystalSpace::ConditionAnd< T1, T2 >
| @@ Document me More...

## Functions

template<class T, class Fn>
Fn & | CrystalSpace::ForEach (T it, Fn &Func)
| Iterate over all elements in the iterator and perform operation given by Func.

## Detailed Description

General Algorithms.

Definition in file algorithms.h.